package com.mortals.xhx.module.error.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.error.model.vo.ErrorRecoveryVo;
/**
* 纠错管理实体对象
*
* @author zxfei
* @date 2023-03-01
*/

public class ErrorRecoveryEntity extends ErrorRecoveryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 纠错标题
    */
    private String errorTitle;
    /**
    * 事件位置
    */
    private String matterSite;
    /**
    * 具体内容
    */
    private String substance;
    /**
    * 附件地址
    */
    private String annexUrl;
    /**
    * 建议答复
    */
    private String formalReply;
    /**
    * 纠错用户id
    */
    private Long submitUserId;
    /**
    * 纠错用户名称
    */
    private String submitUserName;
    /**
    * 提交时间
    */
    private Date submitDate;
    /**
    * 处理状态，0：未处理，1：已处理
    */
    private Integer status;
    /**
    * 处理用户id
    */
    private Long answerUserId;
    /**
    * 处理用户名称
    */
    private String answerUserName;
    /**
    * 处理时间
    */
    private Date answerDate;



    public ErrorRecoveryEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 纠错标题
    * @return String
    */
    public String getErrorTitle(){
        return errorTitle;
    }
    /**
    * 设置 纠错标题
    * @param errorTitle
    */
    public void setErrorTitle(String errorTitle){
        this.errorTitle = errorTitle;
    }
    /**
    * 获取 事件位置
    * @return String
    */
    public String getMatterSite(){
        return matterSite;
    }
    /**
    * 设置 事件位置
    * @param matterSite
    */
    public void setMatterSite(String matterSite){
        this.matterSite = matterSite;
    }
    /**
    * 获取 具体内容
    * @return String
    */
    public String getSubstance(){
        return substance;
    }
    /**
    * 设置 具体内容
    * @param substance
    */
    public void setSubstance(String substance){
        this.substance = substance;
    }
    /**
    * 获取 附件地址
    * @return String
    */
    public String getAnnexUrl(){
        return annexUrl;
    }
    /**
    * 设置 附件地址
    * @param annexUrl
    */
    public void setAnnexUrl(String annexUrl){
        this.annexUrl = annexUrl;
    }
    /**
    * 获取 建议答复
    * @return String
    */
    public String getFormalReply(){
        return formalReply;
    }
    /**
    * 设置 建议答复
    * @param formalReply
    */
    public void setFormalReply(String formalReply){
        this.formalReply = formalReply;
    }
    /**
    * 获取 纠错用户id
    * @return Long
    */
    public Long getSubmitUserId(){
        return submitUserId;
    }
    /**
    * 设置 纠错用户id
    * @param submitUserId
    */
    public void setSubmitUserId(Long submitUserId){
        this.submitUserId = submitUserId;
    }
    /**
    * 获取 纠错用户名称
    * @return String
    */
    public String getSubmitUserName(){
        return submitUserName;
    }
    /**
    * 设置 纠错用户名称
    * @param submitUserName
    */
    public void setSubmitUserName(String submitUserName){
        this.submitUserName = submitUserName;
    }
    /**
    * 获取 提交时间
    * @return Date
    */
    public Date getSubmitDate(){
        return submitDate;
    }
    /**
    * 设置 提交时间
    * @param submitDate
    */
    public void setSubmitDate(Date submitDate){
        this.submitDate = submitDate;
    }
    /**
    * 获取 处理状态，0：未处理，1：已处理
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 处理状态，0：未处理，1：已处理
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 处理用户id
    * @return Long
    */
    public Long getAnswerUserId(){
        return answerUserId;
    }
    /**
    * 设置 处理用户id
    * @param answerUserId
    */
    public void setAnswerUserId(Long answerUserId){
        this.answerUserId = answerUserId;
    }
    /**
    * 获取 处理用户名称
    * @return String
    */
    public String getAnswerUserName(){
        return answerUserName;
    }
    /**
    * 设置 处理用户名称
    * @param answerUserName
    */
    public void setAnswerUserName(String answerUserName){
        this.answerUserName = answerUserName;
    }
    /**
    * 获取 处理时间
    * @return Date
    */
    public Date getAnswerDate(){
        return answerDate;
    }
    /**
    * 设置 处理时间
    * @param answerDate
    */
    public void setAnswerDate(Date answerDate){
        this.answerDate = answerDate;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ErrorRecoveryEntity) {
            ErrorRecoveryEntity tmp = (ErrorRecoveryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",errorTitle:").append(getErrorTitle());
        sb.append(",matterSite:").append(getMatterSite());
        sb.append(",substance:").append(getSubstance());
        sb.append(",annexUrl:").append(getAnnexUrl());
        sb.append(",formalReply:").append(getFormalReply());
        sb.append(",submitUserId:").append(getSubmitUserId());
        sb.append(",submitUserName:").append(getSubmitUserName());
        sb.append(",submitDate:").append(getSubmitDate());
        sb.append(",status:").append(getStatus());
        sb.append(",answerUserId:").append(getAnswerUserId());
        sb.append(",answerUserName:").append(getAnswerUserName());
        sb.append(",answerDate:").append(getAnswerDate());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.errorTitle = "";

            this.matterSite = "";

            this.substance = "1";

            this.annexUrl = "";

            this.formalReply = "";

            this.submitUserId = null;

            this.submitUserName = "";

            this.submitDate = null;

            this.status = 0;

            this.answerUserId = null;

            this.answerUserName = "";

            this.answerDate = null;
    }
}