package com.mortals.xhx.module.site.web;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.site.model.SiteMatterEntity;
import com.mortals.xhx.module.site.model.SiteMatterQuery;
import com.mortals.xhx.module.site.service.SiteMatterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;
/**
*
* 站点事项
*
* @author zxfei
* @date 2023-03-10
*/
@RestController
@RequestMapping("site/matter")
public class SiteMatterController extends BaseCRUDJsonBodyMappingController<SiteMatterService,SiteMatterEntity,Long> {

    @Autowired
    private ParamService paramService;

    public SiteMatterController(){
        super.setModuleDesc( "站点事项");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "source", paramService.getParamBySecondOrganize("SiteMatter","source"));
        super.init(model, context);
    }

    @Override
    protected void doListBefore(SiteMatterEntity query, Map<String, Object> model, Context context) throws AppException {
        Map<String,String> orderMap = new HashMap<>();
        orderMap.put("viewsCount","DESC");
        query.setOrderCols(orderMap);
        super.doListBefore(query,model,context);
    }

    @Override
    protected int viewAfter(Long id, Map<String, Object> model, SiteMatterEntity entity, Context context) throws AppException {
        this.service.addViewsCount(id);
        return 1;
    }
}